package com.freemud.sdk.api.assortment.shoppingcart.enums;

public enum SaveCouponType {

    COUPON(1, "代金券"),
    FREIGHT_COUPON(2, "运费券"),
    MON_COUPON(3, "随单购月卡"),
    THREE_TO_ONE_COUPON(4, "买三赠一券"),
    THREE_TO_ONE_ACTIVITY_CODE(5, "买三赠一券虚拟活动号"),
    ;

    private Integer code;

    private String desc;

    SaveCouponType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
